<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_get_next_succ_unit" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_getNextSuccUnit - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: int krui_getNextSuccUnit(FlintType*);
/*****************************************************************************
  FUNCTION : ann_get_next_succ_unit
  PURPOSE  :
  NOTES    : This function is slow  (Units are backward chained only)
  IMPORTANT: If a successor unit exists, the current unit and site will be
             set to this successor unit and the attached site.
  RETURNS  : Returns the no. of the next successor unit and the connection 
             weight.
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_get_next_succ_unit</refname>

    <refpurpose></refpurpose>
    <refpurpose>Returns the id of the next successor unit of the current
    unit and the connection weight.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[next_unit_id, weight] = ann_get_next_succ_unit(network);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

    </variablelist>
  </refsection>

  <refsection>
    <title>Output parameters</title>

    <variablelist>
      <varlistentry>
        <term>next_unit_id</term>

        <listitem>
          <para>Id of the next successor unit</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>weight</term>

        <listitem>
          <para>Value of the weight between the current unit and
          its next successor.</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>
    This function is slow (Units are backward chained only).

    If a successor unit exists, the current unit and site will be set to this
    successor unit and the attached site.
    </para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
